Artikel mit ‘Fedora’ getagged

The “Return”

Donnerstag, 04. Juni 2009

שָׁלוֹם

I don’t know who, but someone on IRC said that F11 “Leonidas” is “The Return of the King!”
That’s bullshit, of course, because there is only one “Return” and it isn’t “of the King!” it’s “of the Jedi!”

So long and thanks for all the fish :-)
שִׁמְעוֹן

tor and vidalia

Montag, 01. Juni 2009

שָׁלוֹם

coming soon to epel5….

So long and thanks for all the fish :-)
שִׁמְעוֹן

Monday sucks

Montag, 01. Juni 2009

שָׁלוֹם

To mock F11 srpms for epel, you need to build the srpms with --define="_source_filedigest_algorithm md5". That sucks, too.

So long and thanks for all the fish :-)
שִׁמְעוֹן

OpenSuSE-Ambassadors

Donnerstag, 28. Mai 2009

שָׁלוֹם

The openSuSE-Community have now Ambassadors, too.

So long and thanks for all the fish :-)
שִׁמְעוֹן

A hard day in the life of a Fedora Contributor

Sonntag, 17. Mai 2009

שָׁלוֹם

My email:

Dear [nickname]

your project [projectname] looks like very interesting. I installed it on my
pc and i like it.
I want to create a rpm-package for the GNU/Linux-Distribution Fedora [1], but
your package comes with some unmodified libs which are standard in every
distribution and build against them. The Fedora Guidelines [2] says that
it’s not allowed to use internal dependencies if they are in Fedora [3]. I
have to patch them out on every release. To make it easier you could use the
system-libs to compile it. It works, i tested it on F10 and F11 and add the
patch for your buildsystem as attachment. It would be very nice, if you adopt
this to your project.

Kind regards
Simon

[1] http://fedoraproject.org/
[2] http://fedoraproject.org/wiki/Packaging:Guidelines
[3] http://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

His/her answer:

Dear Simon,

I don’t give a fuck. Fedora isn’t mainstream and Fedora isn’t important (and it
never will be) and Fedora-Guidelines are Nazi-like.
It’s in Ubuntu and Debian so you can adopt it or leave it out. It’s not my
problem, it’s yours.

[nickname]

I haven’t answered yet.

So long and thanks for all the fish :-)
שִׁמְעוֹן

my prompt and my issue

Freitag, 03. April 2009

שָׁלוֹם

cat /etc/issue

 _____        _
|  ___|__  __| | ___  _ __ __ _  Release: 10 (Cambridge)
| |_ / _ \\/ _` |/ _ \\| '__/ _` | Kernel: \r
|  _|  __/ (_| | (_) | | | (_| |
|_|  \\___|\\__,_|\\___/|_|  \\__,_| Terminal: \l

Result:
Nothing special
Fedora Login ASCII

excerpt of /etc/bashrc (above PS1 definition)

# Colors
normal=''
bold=''
black=''
darkgrey=''
red=''
lightred=''
green=''
lightgreen=''
brown=''
brown=''
blue=''
lightblue=''
violet=''
lightviolet=''
cyan=''
lightcyan=''
lightgrey=''
white=''

# define pwd
function show_pwd()
{
echo -e ${PWD////${normal}${bold}/${normal}${blue}}
}

excerpt of /etc/bashrc in the PS1 definition

    [ "$PS1" = "\\s-\\v\\\$ " ] && PS1='${bold}.:[${normal} ${green}\u${normal} ${bold}@${normal} ${red}\h${normal} ${bold}:${normal} ${blue}$(show_pwd)${normal} ${bold}]:.${normal}\n\$ '

Result:(in an Gnome-Terminal)
The specialty of this (in comparison to other prompt-templates in the web) is that the seperator is colored in a different color than the direcory. :-) You can select another seperator if you want. :-)
Screenshot Gnome Terminal

So long and thanks for all the fish :-)
שִׁמְעוֹן

CLT – Résumé

Montag, 16. März 2009

שָׁלוֹם

A little résumé about what has been happening in the past few days.

- linuxgamers
The linuxgamers booth was full of childrens. The official “Kinderparadies” was empty. Kids like “Guitar Hero”-Clone Frets on Fire, World of Goo and Racing games. Wood toys are uncool :-)

- missed persons
I saw Wolfgang “wobo” Bornath from MandrivaUser.de on Saturday, while I was in a conversation on the booth. And I missed Alexander “Tolimar” Reichle-Schmehl from Debian, too. Shit happens – someday twice. :-(

- Sleepless
Sleepless in Seattle is a film with Tom Hanks, Sleepless in Chemnitz is the reality.
I love energy drinks! :-p
Thanks to the guys (CCC, Free/Net-BSD, Ubuntu, linuxgaming and LMMS) for this very cool night.

Dear Troll,
we had so much fun. Don’t destroy it. We know you have the balls to do it. Shame on you.

- Catering:
Very delicous :-)

- LXDE
LXDE was a very important topic. We created USB-Sticks of Christoph Wickert’s LiveCD with LXDE on the visitors USB-Sticks.

- Haiku,
a BeOS inspirated Operating System. Was wondering that this project is still alive after 8 years developing without a release. I like the BeOS-Theme! :-p

Thank you Max,
for all. :-)

So long and thanks for all the fish :-)
שִׁמְעוֹן

Chemnitzer Catering Tage inkl. Linux

Sonntag, 15. März 2009

שָׁלוֹם

Habe mich doch kurzfristig entschlossen auf die CLT²°°⁹ zu fahren. Ronald und Barbara von der LUG Fulda sind mitgekommen, bzw. ich mit ihnen. :-) An dieser Stelle nochmal “Danke!” fürs mitnehmen…

Ein kleines Highlight für mich war: Christoph Wickert schult Klaus Knopper in einer Knoppix-Vorlesung über LXDE! :-p

So long and thanks for all the fish :-)
שִׁמְעוֹן

sbackup

Dienstag, 24. Februar 2009

שָׁלוֹם

Es vergeht in letzter Zeit kaum ein Tag an dem ich nicht auf sbackup angesprochen werde, sei es in lokalen LUGs (Linux User Groups), die ich besuche, im IRC oder per Mail. Dabei scheinen viele das “S” in sbackup, welches für “simpel” steht, als “benutzerfreundlich” misszuverstehen. Sbackup ist nicht so simpel wie es der Name des Programmes suggeriert.

- Erst speichern, dann ausführen
Man hat seine Sicherungsparameter in die Bedienoberfläche eingegeben und drückt nun auf “backup now!”, aber im Sicherungsordner taucht keine Sicherung auf. Dieses eher triviale Problem hat eine ganz simple Ursache. Die Eingaben in der Bedienoberfläche werden erst in die Konfigurationsdatei geschrieben, wenn man auf “Speichern” klickt. Der Befehl “backup now!” erstellt eine Sicherungskopie aus den Angaben in der Konfigurationsdatei, welche nicht geschrieben wird, wenn man die Eingaben vorher nicht speichert.

- Es gibt keinen Fortschrittsbalken
Wenn man ein Backupvorgang gestartet wird, dann bekommt man eine Prozess ID zugewiesen.
Man kann in der Konsole unter
ps -p xxxx
oder
ps -C sbackupd
die Aktivität des Sicherungsvorganges bestätigen lassen. Einen Einblick in die Restdauer oder den momentanen Fortschritt ist nicht möglich.

- Keine Rückmeldung bei Fehlern
Ist der Sicherungsort nicht beschreibar, bietet nicht genug Platz oder die Verbindung (USB oder remote) zum Sicherungsziel geht verloren, bricht die Sicherung ohne Rückmeldung ab. Es gibt auch ebenfalls keine Logdatei.

- Sicherungen dauern ewig
Der gestartete Prozess wird immer mit der Prozesspriorität 19 ausgeführt und ist dementsprechend langsam, auch wenn der PC nicht genutzt wird. Der Prozess kann z.b. mit einem renice beschleunigt werden.

- Änderung der Ordnerrechte (in Versionen <0.10.5)
Böse Überraschungen hat man mit Versionen vor 0.10.5 (0.10.5 ist in EPEL und Fedora verfügbar), da man die Sicherung als root betreibt und die Rechte des Sicherungsordner ohne Rückfrage auf 700 geändert wird. Man verliert als Benutzer den Zugriff auf alle Wechseldatenträger und in "/media" eingehängte Festplatten, wenn man "/media" als Sicherungsordner nimmt.

- “Regexp” notwendig
Es ist mindestens ein Regexp-Ausdruck notwendig damit ein Sicherungsvorgang gestartet werden kann. Hier sollte man im Zweifelsfalle einen trefferlosen Ausdruck wählen. Sbackup verwigert ohne Rückmeldung die Sicherung.

- USB-Sticks und USB-Platten nur bedingt geeignet
Ein sehr beliebter Fehler bei Sicherungen über 4GB ist es einen Fat32 USB-Stick zu verwenden. Ebenfalls beliebt ist es eine Zeitsteuerung und als Sicherungsordner eine externe Festplatte zu wählen, wenn diese zum Zeitpunkt der Sicherung nicht angeschlossen ist. Sbackup verweigert wie gewohnt ohne Rückmeldung den Dienst

Mein Tipp für Nutzer denen der Umgang mit sbackup zu schwierig erscheint:
Mit grsync (eine gtk-Oberfläche für rsync) ist eine einfache und benutzerfreundliche Möglichkeit um schnell eine Sicherungskopie seines “persönlichen Ordners” auf zu erstellen.

So long and thanks for all the fish :-)
שִׁמְעוֹן

- – - – - -

Beware of my very bad english :-(

שָׁלוֹם

Recently, there is not one day without somebody reporting me to sbackup, even in local LUGs (Linux User Groups) that I visited, in IRC or via EMail. Most of them missunderstood the ‘s’ in sbackup, standing for simple as userfriendly. Sbackup isn’t userfriendly, even if the name could misslead here.

- First save, then execute
You chose all your backup-parameters in the front-end and you click on “backup now!” but in the backup-directory isn’t a backup. This is is a little bit trivial. You have to save it first, because sbackup will read all parameters from the configfile and do not refresh settings during runtime automaticly. You have to save your configs first. If you don’t do so, sbackup will start with the default configuration.

- there is no progress-bar
If you started the backup process, then there will be displayed a process-id.
You can use
ps -p xxxx
or
ps -C sbackupd
to see if the backup is running. You can’t see the remaining time or the actual progress of your backup.

- no response on errors
Is the backup destination directory not writeable, or haven’t enough free space, or the connection to the backup destination (usb, remote) will lost, sbackup will abort without a response and there is no logfile. There is no exception handling to avoid overhead.

- the backup process is slow
The backup-process runs with a nice priority of 19 and is very slow, even the pc is idling. You can accelerate the process by using “renice”

- changing permissions (in versions <0.10.5)
In versions older than 0.10.5 (0.10.5 is in EPEL and Fedora available) the permissions of the backup destination directory will be set on 700 to root, because sbackup runs with root privileges. Users will lose access to disks which mount to "/media", if you choose "/media" as backup destination directory.

- “Regexp” is necessary
You need at least one definied regexp to start sbackup. To choose one without a hit will do this trick. Sbackup denies backup-creation without a response. As pointed out in ‘no response on errors’.

- Backup on USB-Sticks and USB-mass storage is only conditional applicable
A very popular mistake is to save backups with 4GB and more on a fat32 usb-stick. To use cron in combination with external disks is very popular too, but you should be sure that the external disk is mounted at the time of the backup. Sbackup won’t do anything and won’t give a response.

My personal advice for users who can’t handle sbackup:
Use grsync (a gtk-gui for rsync) is a simple and userfriendly possibility to do fastly backups of your home.

So long and thanks for all the fish :-)
שִׁמְעוֹן

MockBuild

Donnerstag, 12. Februar 2009

שָׁלוֹם

Ein kleines Helferlein um den build mit mock etwas zu automatisieren…

/usr/local/bin/mockbuild

#!/bin/bash

BASEDIR=${HOME}/rpmbuild
FEDORAVER=${FEDORAVER:-"fedora-$(rpm --eval %{fedora})-$(rpm --eval %{_arch})"}
MOCKDIR=${BASEDIR}/mock-results/${FEDORAVER}
SPECDIR=${BASEDIR}/SPECS

if [ ${#} -lt 1 ]; then
  echo 'usage: mockbuild <packages>'
  exit 1
fi

# check directories
if ! [ -d ${BASEDIR} ]; then
  echo ${BASEDIR} not existent
  exit 1
fi
if ! [ -d ${SPECDIR} ]; then
  echo ${SPECDIR} not existent
  exit 1
fi

# check for special build (all specs)
if [ ${1} == '--all' ]; then
  list=$(ls ${SPECDIR}/*.spec | sed "s|${SPECDIR}/\(.*\).spec|\1|g")
else
  list=${@}
fi

for arg in ${list}; do
  # check directory for each pkg to build
  if ! [ -d ${MOCKDIR}/${arg} ]; then
    mkdir -p ${MOCKDIR}/${arg}
  else
    rm -f ${MOCKDIR}/${arg}/*
  fi

  # initiate the build
  rpmbuildout=$(LC_ALL=C rpmbuild -bs ${SPECDIR}/${arg}.spec) || exit 1
  $(LC_ALL=C mock -r ${FEDORAVER} --resultdir=${MOCKDIR}/${arg} ${rpmbuildout:7}) || exit 1
  $(LC_ALL=C rpmlint ${MOCKDIR}/${arg}/*.rpm > ${MOCKDIR}/${arg}/rpmlint) || exit 1
done

Mann ist mir langweilig :-) Und dann auch noch 42 Zeilen! Ich glaube ich brauch mein Handtuch :-)

So long and thanks for all the fish :-)
שִׁמְעוֹן